#
# spec file for package xchm
#
# Copyright (c) 2023 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           xchm
Version:        1.36
Release:        1.4
Summary:        A wxWidgets CHM document viewer
License:        GPL-2.0-or-later
Group:          Productivity/Graphics/Viewers
URL:            https://github.com/rzvncj/xCHM/
Source:         https://github.com/rzvncj/xCHM/releases/download/%version/%name-%version.tar.gz
BuildRequires:  automake
BuildRequires:  chmlib-devel
BuildRequires:  gcc-c++
BuildRequires:  wxWidgets-devel >= 3.0

%description
xCHM is a GUI frontend for CHMLIB, written with wxGTK. It is able to
display the topics tree, work with displayed pages history, print the
current page, work with bookmarks, change fonts and fast search
through all the pages of the loaded .chm document.

%lang_package

%prep
%autosetup -p1

%build
autoreconf -fi
%configure
%make_build

%install
%make_install
%find_lang xchm

%files
%_bindir/xchm
%_datadir/applications/*
%_datadir/icons/*
%_datadir/metainfo/
%_mandir/man1/*
%license COPYING

%files lang -f xchm.lang

%changelog
* Tue Sep 19 2023 Jan Engelhardt <jengelh@inai.de>
- Update to release 1.36
  * Improved CHM loading speed and switched to using the default
    wxWidgets font picker dialog.
* Mon Feb  6 2023 Jan Engelhardt <jengelh@inai.de>
- Update to release 1.35
  * Fixed a few compile-time wxWidgets deprecation warnings.
* Thu Dec 30 2021 Jan Engelhardt <jengelh@inai.de>
- Update to release 1.33
  * xchm now follows the XDG base directory specification
    (for the configuration files).
* Sun Mar 21 2021 Jan Engelhardt <jengelh@inai.de>
- Update to release 1.32
  * Now overlapping some text on page down / page up
* Wed Sep  9 2020 Jan Engelhardt <jengelh@inai.de>
- Split lang package from main package.
* Tue Aug 25 2020 Jan Engelhardt <jengelh@inai.de>
- Update to release 1.31
  * Fixed scrolling on loading new pages.
  * Added Ctrl-'=' and Ctrl-'-' as shortcuts for zoom-in/out.
  * The toolbar is now togglable.
* Sun Dec  7 2014 jengelh@inai.de
- Update to git snapshot 1.23+git568 to enable switching to
  wxWidgets 3
* Sun Sep  1 2013 jengelh@inai.de
- Initial package (version 1.23) for build.opensuse.org
